<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="cbbb35eb-a077-451f-97ad-30ef36547de7" name="Default Changelist" comment="1">
      <change beforePath="$PROJECT_DIR$/../../doc/~$资源-开源软件维护方案及成果.docx" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../doc/实践资源-开源软件维护方案及成果.docx" beforeDir="false" afterPath="$PROJECT_DIR$/../../doc/实践资源-开源软件维护方案及成果.docx" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/app/.gradle/" />
    <ignored path="$PROJECT_DIR$/app/build/" />
    <ignored path="$PROJECT_DIR$/app/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Pixel_XL_API_30" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="Notes-master" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/syncActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="216">
              <caret line="18" column="52" selection-start-line="18" selection-start-column="52" selection-end-line="18" selection-end-column="52" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/build.gradle">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/LoginActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="26" column="25" selection-start-line="26" selection-start-column="25" selection-end-line="28" selection-end-column="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/Addaccount.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="380">
              <caret line="45" column="85" selection-start-line="45" selection-start-column="85" selection-end-line="45" selection-end-column="85" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/DeletePasscodeActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="551">
              <caret line="38" column="56" selection-start-line="38" selection-start-column="56" selection-end-line="38" selection-end-column="56" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1197">
              <caret line="137" column="35" selection-start-line="137" selection-start-column="35" selection-end-line="137" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/mysql/ConnectRDS.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="304">
              <caret line="20" column="39" selection-start-line="20" selection-start-column="39" selection-end-line="20" selection-end-column="39" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="method#login#0;class#ConnectRDS#0" />
                <element signature="method#addAccount#0;class#ConnectRDS#0" />
                <element signature="method#uploadInfo#0;class#ConnectRDS#0" />
                <element signature="method#downloadInfo#0;class#ConnectRDS#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesProvider.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="9196">
              <caret line="519" column="46" selection-start-line="519" selection-start-column="46" selection-end-line="519" selection-end-column="46" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/Notes.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3895">
              <caret line="219" selection-start-line="219" selection-end-line="219" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesDatabaseHelper.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1026">
              <caret line="76" column="27" selection-start-line="76" selection-start-column="27" selection-end-line="76" selection-end-column="27" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="layoutResourceFile_vertical" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>extends</find>
      <find>Task</find>
      <find>loadNote</find>
      <find>sync</find>
      <find>syncN</find>
      <find>commit</find>
      <find>getJSONObject</find>
      <find>Sync immediately</find>
      <find>prefenerece_sync_status_textview</find>
      <find>Sync</find>
      <find>format_move_notes_to_folder</find>
      <find>top</find>
      <find>onUpgrade</find>
      <find>query</find>
      <find>COLUMN</find>
      <find>startAsyncNotesListQuery</find>
      <find>mWorkingNote</find>
      <find>System.out</find>
      <find>setstar</find>
      <find>bind</find>
      <find>onop</find>
      <find>UnlockActivity</find>
      <find>hasP</find>
      <find>veri</find>
      <find>onClick</find>
    </findStrings>
  </component>
  <component name="GenerateSignedApkSettings">
    <option name="KEY_STORE_PATH" value="G:\ASkey\NotesKey.jks" />
    <option name="KEY_ALIAS" value="key0" />
    <option name="REMEMBER_PASSWORDS" value="true" />
    <option name="BUILD_TARGET_KEY" value="apk" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="705e01c3-c5c5-4eba-8df4-d01b51f9e251/consoles/Connection 17" />
        <option value="9d06f2d3-39ed-41c3-b350-0ea5151e0f71/consoles/Connection 18" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/note_edit.xml" />
        <option value="92fd768c-a474-490e-8acc-8547298b7101/consoles/Connection 19" />
        <option value="d0dbb4db-e44c-4add-b2bb-718f4947f898/consoles/Connection 20" />
        <option value="ff8d6e39-6e70-4925-9f68-89893102fd57/consoles/Connection 21" />
        <option value="3995d0d9-5be3-4f74-bede-d5f06936a2b6/consoles/Connection 22" />
        <option value="225a6aa1-750b-4664-ae5d-69bab2cbc767/consoles/Connection 23" />
        <option value="e1a0cf34-f0c3-454c-8878-dd9d8d4a7328/consoles/Connection 24" />
        <option value="7cee2bfd-e2c0-4a20-ba49-a4647194a91f/consoles/Connection 25" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/Note.java" />
        <option value="c08e1d73-f500-4d9a-8e6b-28deb6bf81f7/consoles/Connection 26" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/Notes.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesDatabaseHelper.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteItemData.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListItem.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/menu/note_edit.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/colors.xml" />
        <option value="35aeced1-b06a-41d8-94b1-e48f1d49f1f9/consoles/Connection 27" />
        <option value="8bc78e3b-6a53-40d0-b4b0-55879c9b525e/consoles/Connection 28" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/tool/DataUtils.java" />
        <option value="a40aa0c9-60eb-41c1-aa76-8fc682252a6f/consoles/Connection 29" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/gtask/data/SqlNote.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/WorkingNote.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/VerifyPasscode.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/verifyPasscode.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/VerifyPasscodeActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/note_item.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/SetLockActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_lock.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values-zh-rCN/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values-zh-rTW/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/strings.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/UnlockActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/DeletePasscodeActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/gtask/remote/Network.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/Addaccount.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/LoginActivity.java" />
        <option value="a200fc30-742e-4fc0-89a0-946660bf6a2e/consoles/Connection 30" />
        <option value="2aff28a3-4b42-4199-abcb-2e02b7e0c6e1/consoles/Connection" />
        <option value="eaa77678-648b-481e-9441-f9aa1f7be4c3/consoles/Connection 1" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListAdapter.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/syncActivity.java" />
        <option value="6e842673-8856-40e1-9f58-dc9fdee3fe60/consoles/Connection 2" />
        <option value="95af24bb-d357-4555-9cee-3a17c6e9324e/consoles/Connection" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesProvider.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/net/micode/notes/mysql/ConnectRDS.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-10" />
    <option name="y" value="-10" />
    <option name="width" value="1940" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectId" id="20gppWf1h6aMk7WxLAiS99NuqAD" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Project" type="b2602c69:ProjectViewProjectNode" />
              <item name="Project" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="Project" type="b2602c69:ProjectViewProjectNode" />
              <item name="Project" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="build" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DEBUGGABLE_DEVICE" value="emulator-5554" />
    <property name="DEBUGGABLE_PROCESS" value="net.micode.notes" />
    <property name="DEBUGGER_ID" value="Auto" />
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="Pixel_XL_API_23" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2021-11-05T00:23:15.423Z" />
    <property name="ExportApk.ApkPath" value="H:\A" />
    <property name="ExportApk.BuildVariants" value="release" />
    <property name="ExportApk.SignV1" value="true" />
    <property name="ExportApk.SignV2" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="SHOW_ALL_PROCESSES" value="false" />
    <property name="android-custom-viewF:/data/git/MJ_maintainNotes/Notes-master/app/src/main/java/net/micode/notes/ui/LockPatternView.java_SELECTED" value="LockPatternView" />
    <property name="android.sdk.path" value="G:/Android/SDK" />
    <property name="ignore.virus.scanning.warn.message" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="debugger.hotswap" />
  </component>
  <component name="PsdUISettings">
    <option name="MODULE_TAB" value="Properties" />
    <option name="LAST_EDITED_SIGNING_CONFIG" value="debug" />
    <option name="LAST_EDITED_BUILD_TYPE" value="release" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="H:\A\test\Project\app\libs" />
      <recent name="H:\A\test\Project\app\src\main\java\net\micode\notes" />
      <recent name="H:\A\test\Project\app" />
      <recent name="H:\A\test\Project\app\src\main\libs" />
      <recent name="H:\A\test\Project\app\src\main" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="net.micode.notes.gtask.remote" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\data\git\MJ_maintainNotes\src\Project\app\src\main\res\layout" />
      <recent name="F:\data\git\MJ_maintainNotes\src\Project\app\src\main\java\net\micode\notes\ui" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="Project" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list />
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.Project" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" BundledDictionaries="0" Folders="0" CustomDictionaries="0" Dictionaries="0" CorrectionsLimit="5" DefaultDictionary="application-level" UseSingleDictionary="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cbbb35eb-a077-451f-97ad-30ef36547de7" name="Default Changelist" comment="" />
      <created>1631029058556</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1631029058556</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="830" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" sideWeight="0.5021216" side_tool="true" weight="0.18230563" />
      <window_info content_ui="combo" id="Project" order="1" sideWeight="0.49787837" weight="0.25737265" />
      <window_info id="Structure" order="2" show_stripe_button="false" sideWeight="0.5007072" side_tool="true" weight="0.18230563" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" weight="0.3297587" />
      <window_info id="Capture Tool" order="8" />
      <window_info id="DB Browser" order="9" sideWeight="0.4992928" weight="0.3297587" />
      <window_info anchor="bottom" id="Run" order="0" sideWeight="0.49798927" weight="0.30802292" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.3295129" />
      <window_info anchor="bottom" id="TODO" order="2" weight="0.32956153" />
      <window_info anchor="bottom" id="Find" order="3" weight="0.32808024" />
      <window_info anchor="bottom" id="Terminal" order="4" sideWeight="0.4966488" weight="0.2722063" />
      <window_info anchor="bottom" id="Event Log" order="5" sideWeight="0.5020107" side_tool="true" weight="0.3069307" />
      <window_info anchor="bottom" id="Version Control" order="6" />
      <window_info anchor="bottom" id="Build" order="7" sideWeight="0.49061662" weight="0.30659026" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.38968483" />
      <window_info anchor="bottom" id="Android Profiler" order="9" show_stripe_button="false" weight="0.32956153" />
      <window_info anchor="bottom" id="DB Execution Console" order="10" weight="0.4555874" />
      <window_info anchor="right" id="Device File Explorer" order="0" sideWeight="0.5007072" side_tool="true" weight="0.3297587" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Preview" order="5" sideWeight="0.4992928" weight="0.3297587" />
      <window_info anchor="right" x="1306" y="128" width="208" height="621" id="Attributes" order="6" type="FLOATING" weight="0.1347185" />
    </layout>
    <layout-to-restore>
      <window_info id="Captures" order="0" sideWeight="0.5021216" side_tool="true" weight="0.18230563" />
      <window_info content_ui="combo" id="Project" order="1" sideWeight="0.49787837" visible="true" weight="0.25737265" />
      <window_info id="Structure" order="2" show_stripe_button="false" sideWeight="0.5007072" side_tool="true" weight="0.18230563" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" weight="0.3297587" />
      <window_info id="Capture Tool" order="8" />
      <window_info id="DB Browser" order="9" sideWeight="0.4992928" weight="0.3297587" />
      <window_info anchor="bottom" id="Run" order="0" sideWeight="0.49798927" weight="0.30802292" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.3295129" />
      <window_info anchor="bottom" id="TODO" order="2" weight="0.32956153" />
      <window_info anchor="bottom" id="Find" order="3" weight="0.32808024" />
      <window_info anchor="bottom" id="Terminal" order="4" sideWeight="0.4966488" weight="0.2722063" />
      <window_info anchor="bottom" id="Event Log" order="5" sideWeight="0.5020107" side_tool="true" weight="0.3069307" />
      <window_info anchor="bottom" id="Version Control" order="6" />
      <window_info anchor="bottom" id="Build" order="7" sideWeight="0.49061662" visible="true" weight="0.30659026" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.38968483" />
      <window_info anchor="bottom" id="Android Profiler" order="9" show_stripe_button="false" weight="0.32956153" />
      <window_info anchor="bottom" id="DB Execution Console" order="10" weight="0.4555874" />
      <window_info anchor="right" id="Device File Explorer" order="0" sideWeight="0.5007072" side_tool="true" weight="0.3297587" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Preview" order="5" sideWeight="0.4992928" weight="0.3297587" />
      <window_info anchor="right" x="1306" y="128" width="208" height="621" id="Attributes" order="6" type="FLOATING" weight="0.1347185" />
    </layout-to-restore>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://G:/Android/SDK/platforms/android-31/android.jar!/android/os/AsyncTask.class</url>
          <line>45</line>
          <properties />
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/WorkingNote.java</url>
          <line>143</line>
          <properties />
          <option name="timeStamp" value="10" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/WorkingNote.java</url>
          <line>152</line>
          <properties />
          <option name="timeStamp" value="11" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/WorkingNote.java</url>
          <line>215</line>
          <properties />
          <option name="timeStamp" value="14" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListActivity.java</url>
          <line>195</line>
          <properties />
          <option name="timeStamp" value="19" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java</url>
          <line>215</line>
          <properties />
          <option name="timeStamp" value="21" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java</url>
          <line>245</line>
          <properties />
          <option name="timeStamp" value="22" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/tool/DataUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="387">
          <caret line="67" column="37" lean-forward="true" selection-start-line="67" selection-start-column="37" selection-end-line="67" selection-end-column="37" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/model/WorkingNote.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="266" column="49" lean-forward="true" selection-start-line="266" selection-start-column="49" selection-end-line="266" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/menu/note_edit.xml">
      <provider selected="true" editor-type-id="android-designer2" />
      <provider editor-type-id="text-editor">
        <state relative-caret-position="376">
          <caret line="29" column="20" selection-start-line="29" selection-start-column="20" selection-end-line="29" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_set_lock.xml">
      <provider selected="true" editor-type-id="android-designer2" />
      <provider editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_lock.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="456">
          <caret line="24" column="32" selection-start-line="24" selection-start-column="32" selection-end-line="24" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/widget_lock_view.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="95">
          <caret line="5" column="20" selection-start-line="5" selection-start-column="20" selection-end-line="5" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteEditText.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="83">
          <caret line="39" column="13" selection-start-line="39" selection-start-column="13" selection-end-line="39" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="111" column="25" lean-forward="true" selection-start-line="111" selection-start-column="25" selection-end-line="111" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/android/app/Activity.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="585" column="19" selection-start-line="585" selection-start-column="19" selection-end-line="585" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/note_list_dropdown_menu.xml">
      <provider selected="true" editor-type-id="android-designer2" />
      <provider editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/note_list.xml">
      <provider selected="true" editor-type-id="android-designer2" />
      <provider editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="29" column="36" selection-start-line="29" selection-start-column="36" selection-end-line="29" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/android/view/View.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="3339" column="13" selection-start-line="3339" selection-start-column="13" selection-end-line="3339" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values-zh-rCN/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="19" column="4" lean-forward="true" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values-zh-rTW/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="19" column="49" selection-start-line="19" selection-start-column="49" selection-end-line="19" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/strings.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="19" column="55" selection-start-line="19" selection-start-column="55" selection-end-line="19" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_splash.xml" />
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/android/content/Intent.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="322" column="31" selection-start-line="322" selection-start-column="31" selection-end-line="322" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/LockPatternView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="407">
          <caret line="375" column="23" selection-start-line="375" selection-start-column="23" selection-end-line="375" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/0941cdeacb972d93128f11c4f7e39759/appcompat-1.0.0/res/values/values.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-403">
          <caret line="2789" column="17" selection-start-line="2789" selection-start-column="17" selection-end-line="2789" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/UnlockActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="567">
          <caret line="50" column="32" lean-forward="true" selection-start-line="50" selection-start-column="32" selection-end-line="50" selection-end-column="32" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#872#905#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/SetLockActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="344">
          <caret line="38" selection-start-line="38" selection-end-line="48" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/java/sql/DriverManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#2086#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/android/widget/Toast.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="15" column="28" selection-start-line="15" selection-start-column="28" selection-end-line="15" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="627">
          <caret line="33" column="62" selection-start-line="33" selection-start-column="62" selection-end-line="33" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_addaccount.xml">
      <provider selected="true" editor-type-id="android-designer2" />
      <provider editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="60" column="20" selection-start-line="60" selection-start-column="20" selection-end-line="60" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/gtask/remote/Network.java" />
    <entry file="db://a40aa0c9-60eb-41c1-aa76-8fc682252a6f/consoles/Connection 29" />
    <entry file="db://8bc3b76b-8f75-4ca0-b89c-46fb639e8090/consoles/33" />
    <entry file="db://4ed493ee-c2b1-450c-93c9-3699c8deb0e6/consoles/mNote" />
    <entry file="db://a200fc30-742e-4fc0-89a0-946660bf6a2e/consoles/Connection 30" />
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="12" column="52" lean-forward="true" selection-start-line="12" selection-start-column="52" selection-end-line="12" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="db://2aff28a3-4b42-4199-abcb-2e02b7e0c6e1/consoles/Connection" />
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/org/json/JSONObject.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#6504#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/tool/BackupUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="104" column="32" selection-start-line="104" selection-start-column="32" selection-end-line="104" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="db://eaa77678-648b-481e-9441-f9aa1f7be4c3/consoles/Connection 1" />
    <entry file="jar://G:/Android/SDK/platforms/android-31/android.jar!/java/lang/Class.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="154" column="18" selection-start-line="154" selection-start-column="18" selection-end-line="154" selection-end-column="18" />
          <folding>
            <element signature="e#3995#3996#0" expanded="true" />
            <element signature="e#4046#4047#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/gtask/data/SqlData.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="67" column="17" selection-start-line="67" selection-start-column="17" selection-end-line="67" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListAdapter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="db://6e842673-8856-40e1-9f58-dc9fdee3fe60/consoles/Connection 2" />
    <entry file="db://95af24bb-d357-4555-9cee-3a17c6e9324e/consoles/Connection">
      <provider selected="true" editor-type-id="0.CONSOLE">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1729">
          <caret line="158" column="30" selection-start-line="158" selection-start-column="30" selection-end-line="158" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/LoginActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="26" column="25" selection-start-line="26" selection-start-column="25" selection-end-line="28" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/DeletePasscodeActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="551">
          <caret line="38" column="56" selection-start-line="38" selection-start-column="56" selection-end-line="38" selection-end-column="56" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/NotesListActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1197">
          <caret line="137" column="35" selection-start-line="137" selection-start-column="35" selection-end-line="137" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/mysql/ConnectRDS.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="20" column="39" selection-start-line="20" selection-start-column="39" selection-end-line="20" selection-end-column="39" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="method#login#0;class#ConnectRDS#0" />
            <element signature="method#addAccount#0;class#ConnectRDS#0" />
            <element signature="method#uploadInfo#0;class#ConnectRDS#0" />
            <element signature="method#downloadInfo#0;class#ConnectRDS#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesProvider.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9196">
          <caret line="519" column="46" selection-start-line="519" selection-start-column="46" selection-end-line="519" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/Notes.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3895">
          <caret line="219" selection-start-line="219" selection-end-line="219" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/data/NotesDatabaseHelper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1026">
          <caret line="76" column="27" selection-start-line="76" selection-start-column="27" selection-end-line="76" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/syncActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="18" column="52" selection-start-line="18" selection-start-column="52" selection-end-line="18" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/net/micode/notes/ui/Addaccount.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="380">
          <caret line="45" column="85" selection-start-line="45" selection-start-column="85" selection-end-line="45" selection-end-column="85" />
        </state>
      </provider>
    </entry>
  </component>
</project>